Generate previews
curl --request POST \
--url https://api.filecheck.io/jobs/previews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sources": [
{
"url": "<string>",
"file": "<string>",
"fileRef": "<string>",
"params": {}
}
],
"sync": false,
"webhook": "<string>",
"metaData": {}
}
'{
"job": {
"id": "<string>",
"createdAt": "<string>",
"modifiedAt": "<string>",
"status": "<string>",
"outcome": "<string>",
"ruleId": "<string>",
"workflowId": "<string>",
"metaData": {},
"tasks": [
{
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"status": "<string>",
"outcome": "<string>",
"fileType": "<string>",
"mimeType": "<string>",
"source": "<string>",
"fileRef": "<string>",
"clientRef": "<string>",
"jobId": "<string>",
"originalArtifact": {},
"outputArtifacts": [
{
"kind": "<string>",
"role": "<string>",
"bucket": "<string>",
"key": "<string>",
"downloadUrl": "<string>",
"expiresIn": 123
}
],
"steps": [
{
"id": "<string>",
"type": "<string>",
"status": "<string>",
"reason": "<string>",
"params": {},
"runtimeParams": {},
"started": "<string>",
"ended": "<string>",
"duration": 123,
"outputs": [
{}
]
}
]
}
],
"orderId": "<string>",
"customerId": "<string>",
"customerEmail": "<string>",
"summary": {},
"results": {}
}
}Jobs
Generate previews
Sugar wrapper. Renders preview images for a file. Async (201) by default; sync: true waits for the result.
POST
/
jobs
/
previews
Generate previews
curl --request POST \
--url https://api.filecheck.io/jobs/previews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sources": [
{
"url": "<string>",
"file": "<string>",
"fileRef": "<string>",
"params": {}
}
],
"sync": false,
"webhook": "<string>",
"metaData": {}
}
'{
"job": {
"id": "<string>",
"createdAt": "<string>",
"modifiedAt": "<string>",
"status": "<string>",
"outcome": "<string>",
"ruleId": "<string>",
"workflowId": "<string>",
"metaData": {},
"tasks": [
{
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"status": "<string>",
"outcome": "<string>",
"fileType": "<string>",
"mimeType": "<string>",
"source": "<string>",
"fileRef": "<string>",
"clientRef": "<string>",
"jobId": "<string>",
"originalArtifact": {},
"outputArtifacts": [
{
"kind": "<string>",
"role": "<string>",
"bucket": "<string>",
"key": "<string>",
"downloadUrl": "<string>",
"expiresIn": 123
}
],
"steps": [
{
"id": "<string>",
"type": "<string>",
"status": "<string>",
"reason": "<string>",
"params": {},
"runtimeParams": {},
"started": "<string>",
"ended": "<string>",
"duration": 123,
"outputs": [
{}
]
}
]
}
],
"orderId": "<string>",
"customerId": "<string>",
"customerEmail": "<string>",
"summary": {},
"results": {}
}
}Authorizations
Your secret key as a bearer token, e.g. Authorization: Bearer sk_live_…. Secret keys are server-side only.
Body
application/json
Response
Sync completion (sync: true)
Show child attributes
Show child attributes
⌘I